import { NextConfig } from 'next';
import { GenerateSWOptions, WebpackGenerateSWOptions, WebpackInjectManifestOptions } from 'workbox-build';
export declare const preCacheManifestBlacklist: RegExp[];
export declare const defaultInjectOpts: WebpackInjectManifestOptions;
export declare const defaultGenerateOpts: Partial<WebpackGenerateSWOptions>;
export interface INextOfflineTsConfig extends NextConfig {
    webpack?: any;
    devSwSrc?: string;
    dontAutoRegisterSw?: boolean;
    generateInDevMode?: boolean;
    generateSw?: boolean;
    registerSwPrefix?: string;
    scope?: string;
    workboxOpts?: GenerateSWOptions;
    nextAssetDirectory?: string;
    cacheStaticAsset?: boolean;
}
export declare function withOffline(nextConfig?: INextOfflineTsConfig): NextConfig;
export default withOffline;
